## smart-notifier 0.24-1build1

=== Makefile ===
# Get the upstream version number from the debian changelog ;)
VERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: \(.*\)-[^-]*$$/\1/')
FULLVERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')

clean:
	fakeroot debian/rules clean
	-rm -rf buildpkg

deb: clean
	svn up
	[ `svn st | grep -c ""` == 0 ] # Check if directory is clean
	mkdir buildpkg
	svn export . buildpkg/smart-notifier-$(VERSION)
	cd buildpkg && tar -czf smart-notifier_$(VERSION).orig.tar.gz \
				smart-notifier-$(VERSION)
	cd buildpkg/smart-notifier-$(VERSION) && sidpdebuild
	cd buildpkg && lintian -i smart-notifier_$(FULLVERSION)_i386.changes

=== debian/changelog ===
smart-notifier (0.24-1build1) dapper; urgency=low

  * Synchronize with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Mar 2006 18:28:26 +0000

smart-notifier (0.24-1) unstable; urgency=low

  * Change to python2.4 (closes: #347687).
        - re-write to use python 2.4 dbus bindings.
  * Restart dbus daemon in postinst (closes: #348378).
  * Re-build package making sure to run lintian afterwards - duh!!
    (closes: #353358).

 -- Brian Sutherland <jinty@web.de>  Thu, 12 Jan 2006 14:18:48 +0100

smart-notifier (0.23-1) unstable; urgency=low

  * New upstream version: minor changes.
  * Build depend on python, rather than python2.3.
  * Pass -V to dh_python, so we don't end up with a dependency on python.
    (closes: #345617)

 -- Brian Sutherland <jinty@web.de>  Mon,  2 Jan 2006 15:09:46 +0100

smart-notifier (0.22-1) unstable; urgency=low

  * New upstream version.
  * Added a README.Debian.
  * Updated copyright information.

 -- Brian Sutherland <jinty@web.de>  Sat, 24 Dec 2005 18:25:29 +0100

smart-notifier (0.21-3) unstable; urgency=low

  * Updated standards version to 3.6.2
  * Install the smartmontools script to /etc/smartmontools rather than
    /etc/smartd, as this was what was implemted in smartmontools.
  * Added version to dependency on smartmontools.
  * Removed crufty replaces/conflicts on old diskhealthnotifier package.
  * dbus python bindings are only avaliable for python 2.3, so use and depend
    on that.

 -- Brian Sutherland <jinty@web.de>  Fri, 23 Dec 2005 12:14:20 +0100

smart-notifier (0.21-2) unstable; urgency=low

  * Added debian/TODO

 -- Brian Sutherland <jinty@web.de>  Mon,  4 Apr 2005 12:07:35 +0200

smart-notifier (0.21-1) unstable; urgency=low

  * change name to smart-notifier
  * replaces/conflicts on diskhealthnotifier

 -- Brian Sutherland <jinty@web.de>  Sun,  3 Apr 2005 20:00:09 +0200

diskhealthnotifier (0.2-1) unstable; urgency=low

  * New upstream release:
    * Change the /etc/smartd/run.d script to a bash script and add --notify
      option to smart-notifier executable. (Suggestion from Guido
      Guenther)

 -- Brian Sutherland <jinty@web.de>  Wed, 30 Mar 2005 19:17:02 +0200

diskhealthnotifier (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Brian Sutherland <jinty@web.de>  Tue, 29 Mar 2005 15:47:38 +0200

=== debian/control ===
Source: smart-notifier
Section: utils
Priority: optional
Maintainer: Brian Sutherland <jinty@web.de>
Build-Depends-Indep: debhelper (>= 4.0.0), python
Standards-Version: 3.6.2

Package: smart-notifier
Architecture: all
Depends: ${python:Depends}, python2.4-dbus, smartmontools (>= 5.33+5.34cvs20050802-2), python2.4-gtk2, python2.4-glade2
Description: graphical hard disk health status notifier
 A graphical notifier for smartmontools which attempts to show messages from
 the smartd disk monitoring daemon to the user. Currently only for gtk.
 .
 WARNING: This package is not a replacement for regular backups. It will _try_
 to warn the user when smartd sends a disk health warning. But success is not
 guaranteed. At best this package is an extra layer of protection.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVER=2.4

build: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	install -D -m 644 src/smart_notifier/__init__.py \
	    debian/smart-notifier/usr/share/smart-notifier/smart_notifier/__init__.py
	install -D -m 644 src/smart_notifier/smart-notifier.glade \
	    debian/smart-notifier/usr/share/smart-notifier/smart_notifier/smart-notifier.glade
	install -D -m 755 scripts/smart-notifier \
	    debian/smart-notifier/usr/bin/smart-notifier
	install -D -m 755 scripts/60smart-notifier \
	    debian/smart-notifier/etc/smartmontools/run.d/60smart-notifier
	install -D -m 644 config/smart-notifier.conf \
	    debian/smart-notifier/etc/dbus-1/system.d/smart-notifier.conf


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python -V $(PYVER)
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:
	#Nothing to do here!!!

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## smart-notifier 0.28

=== Makefile ===
--- 
+++ 
@@ -2,15 +2,24 @@
 VERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: \(.*\)-[^-]*$$/\1/')
 FULLVERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
 
+all:
+	# nothing
+
 clean:
+	rm -rf buildpkg
+	rm -rf build
+	rm -rf src/smart_notifier.egg-info
+	find -name '*.pyc' -exec rm {} \;
+
+clean-deb:
 	fakeroot debian/rules clean
-	-rm -rf buildpkg
 
-deb: clean
+deb: clean-deb
 	svn up
 	[ `svn st | grep -c ""` == 0 ] # Check if directory is clean
 	mkdir buildpkg
 	svn export . buildpkg/smart-notifier-$(VERSION)
+	echo -n $(VERSION) >  buildpkg/smart-notifier-$(VERSION)/src/smart_notifier/version.txt
 	cd buildpkg && tar -czf smart-notifier_$(VERSION).orig.tar.gz \
 				smart-notifier-$(VERSION)
 	cd buildpkg/smart-notifier-$(VERSION) && sidpdebuild

=== debian/changelog ===
smart-notifier (0.28-9) unstable; urgency=medium

  [ Uptorn ]
  * [38c4116] Update README.Debian

  [ Debian Janitor ]
  * [00caaff] Trim trailing whitespace.
    Changes-By: lintian-brush
    Fixes: lintian: trailing-whitespace
    See-also: https://lintian.debian.org/tags/trailing-whitespace.html
  * [200baa5] Use versioned copyright format URI.
    Changes-By: lintian-brush
    Fixes: lintian: unversioned-copyright-format-uri

  * [b2d90c3] Bump debhelper from old 12 to 13.
    Changes-By: lintian-brush
    Fixes: lintian: package-uses-old-debhelper-compat-version
  * [104b4a8] Update standards version to 4.6.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

  [ Christoph Anton Mitterer ]
  * [b2a8c5a] scripts/60smart-notifier: use smartd’s SMARTD_* variables.
    Instead of the positional parameters set by `smartd-runner`, use the
    environment variables set by `smartd` itself.
    Signed-off-by: Christoph Anton Mitterer <mail@christoph.anton.mitterer.name>

  [ Debian Janitor ]
  * [ddd6945] Remove constraints unnecessary since buster (oldstable)
    * smart-notifier: Drop versioned constraint on smartmontools in Depends.
    Changes-By: deb-scrub-obsolete

  [ Chow Loong Jin ]
  * [ed42359] Move dbus policy file into /usr/share/dbus-1/system.d.
    Fixes: lintian: dbus-policy-in-etc

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 29 Aug 2023 19:25:58 +0800

smart-notifier (0.28-8) unstable; urgency=medium

  * [7230cc5] Patch smart-notifier to import gtk3 instead of gtk4.
    This lets it work on systems that have gir1.2-gtk-4.0 installed.
    (Closes: #995933, #995931)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 22 Oct 2021 20:51:00 +0800

smart-notifier (0.28-7) unstable; urgency=medium

  * [6b86063] Depend on python3-gi (Closes: #986420)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 08 Apr 2021 10:41:25 +0800

smart-notifier (0.28-6) unstable; urgency=medium

  * [be9a59d] Reexport patches using newer gbp-pq and without patch numbers
  * [a7c30a3] Patch manpage to fix typos and grammatical errors.
    Thanks to Barak A. Pearlmutter (Closes: #729563)
  * [8c6d0d1] Bump Standards-Version to 3.9.5 (no changes required)
  * [d4cc66f] Bump debhelper compat and standards-version
  * [b597368] Use python3
  * [0be6397] Patch print statement for python3
  * [0783bab] Disable tests
  * [5499955] Fix typo in README.Debian
  * [3a8b5e3] Update Vcs-* urls

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 22 May 2020 14:18:00 +0800

smart-notifier (0.28-5) unstable; urgency=low

  * [11fbd55] Add patch to use positional parameters for dbus (Closes: #545265)
  * [f6c4130] Port to gtk3 and GtkBuilder
  * [80d9ede] Add patch to make notification window resizable (Closes: #374719)
  * [910da00] Add patch to update deprecated dbus-glib things

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 09 Jan 2012 00:58:59 +0800

smart-notifier (0.28-4) unstable; urgency=low

  * [0694cb5] Set myself as Maintainer
  * [a989894] Tidy up debian/control (alignment)
  * [03fac13] dh(1)-ize package
  * [108b884] Bump Standards-Version from 3.8.3 to 3.9.2
  * [8bd8310] DEP5-ize copyright file
  * [1c5f083] Force dh_auto_* to use python_distutils
  * [33e1a82] Add Vcs-* fields
  * [05c4d74] Switch to 3.0 (quilt)
  * [af29a38] Revert out-of-debian/ changes in diff.gz
  * [34327c0] Reapply changes in separate patches

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 05 Jan 2012 05:56:33 +0800

smart-notifier (0.28-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dbus force-reload instead of restart on install/upgrade to avoid
    restarting X (Closes: # 639556).

 -- Osamu Aoki <osamu@debian.org>  Sat, 15 Oct 2011 12:21:42 +0900

smart-notifier (0.28-3) unstable; urgency=low

  * QA upload.
  * Convert to dh_python2 (closes: #617064).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Jun 2011 14:41:35 +0100

smart-notifier (0.28-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs. (Closes: #511502).
  * Fix moving of egg-info file in rules. (Closes: #552914).
  * Don't capitalize false in .desktop file. (Closes: #512684, #550993).
  * Remove useless cat in 60smart-notifier. (Closes: #511504).
  * Don't build-dep on -1 revision.
  * Add appropriate copyright holder to debian/copyright.
  * Version path to GPL (GPL-2) in debian/copyright.
  * Remove empty /usr/sbin dir.
  * Add debian/pycompat and set to 2.
  * Bump debian/compat to 5 to match debhelper build-dep.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 30 Oct 2009 14:47:08 -0400

smart-notifier (0.28-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:40:39 -0500

smart-notifier (0.28-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied and uploaded Kumar's patch, thanks Dude! (Closes: #547856)i

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Oct 2009 15:10:33 +0200

smart-notifier (0.28-1.1) unstable; urgency=medium

  * Non-maintainer upload while dealing with D-Bus' CVE-2008-4311.
  * Audit the D-Bus security policy file for compatibility with D-Bus versions
    where CVE-2008-4311 has been fixed, and remove rules that appear to have
    been cargo-culted from some other package and are likely to cause
    unintended consequences for other packages (see freedesktop.org #18961).
  * Only display the SMART message if it came from the part of smart_notifier
    that only root can run, rather than allowing arbitrary local users to
    spoof arbitrary messages from smartd. (Closes: #510709)
  * Use the default Python version, and install version-independent modules


=== debian/control ===
Source: smart-notifier
Section: utils
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper-compat (= 13),
               python3-all,
               python3-setuptools,
               dh-python
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/smart-notifier.git
Vcs-Browser: https://salsa.debian.org/debian/smart-notifier

Package: smart-notifier
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         dbus,
         python3-dbus,
         python3-gi,
         smartmontools,
         gir1.2-gtk-3.0
Description: graphical hard disk health status notifier
 A graphical notifier for smartmontools which attempts to show messages from
 the smartd disk monitoring daemon to the user. Currently only for gtk.
 .
 WARNING: This package is not a replacement for regular backups. It will _try_
 to warn the user when smartd sends a disk health warning. But success is not
 guaranteed. At best this package is an extra layer of protection.
